Browse Source

fix

master
Norwin Roosen 5 months ago
parent
commit
f1d952e6be
1 changed files with 8 additions and 5 deletions
  1. 8
    5
      scripts/nrw_park

+ 8
- 5
scripts/nrw_park View File

@@ -1,13 +1,16 @@
1 1
 #!/bin/bash
2
+#set -o pipefail
3
+#set -e
2 4
 
3 5
 prefix=data/nrw_`date -u +%F`
4
-zoom=15
6
+zoom=18
7
+imagery=http://www.wmts.nrw.de/geobasis/wmts_nw_dop/tiles/nw_dop/EPSG_3857_16/{z}/{x}/{y}
5 8
 
6
-# download
7
-wget http://download.geofabrik.de/europe/germany/nordrhein-westfalen-latest.osm.pbf -O "$prefix.osm.pbf"
9
+# download OSM data
10
+wget -nc -O $prefix.osm.pbf http://download.geofabrik.de/europe/germany/nordrhein-westfalen-latest.osm.pbf
8 11
 
9 12
 rs extract --type parking $prefix.osm.pbf $prefix.geojson
10 13
 rs cover --zoom $zoom $prefix.geojson $prefix.cover.csv
11
-rs download --zoffset -5 http://www.wmts.nrw.de/geobasis/wmts_nw_dop/tiles/nw_dop/EPSG_3857_16/{z}/{x}/{y} $prefix.cover.csv $prefix.images
12
-rs rasterize --zoom $zoom --dataset ../config/dataset-parking.toml $prefix.geojson $prefix.images $prefix.labels
14
+rs download --zoffset -5 $imagery $prefix.cover.csv $prefix.images
15
+rs rasterize --zoom $zoom --dataset config/dataset-parking.toml $prefix.geojson $prefix.cover.csv $prefix.labels
13 16
 

Loading…
Cancel
Save